rust-swc-core (77.1.2+ds-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * bump project versions in virtual packages and autopkgtests
  * use debhelper compatibility level 14 (not 13)
  * update watch file: capitalize file format field label
  * update and unfuzz patches
  * drop superfluous cleanup
  * skip autopkgtest-check swc_core all-features test,
    as some features are mutually exclusive

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 28 Aug 2026 17:17:32 +0200

rust-swc-core (76.0.2+ds-4) unstable; urgency=medium

  * relax patch 1002_newer_compact_str to cover newer crate version;
    bump (autopkgtest-)dependency for crate compact_str;
    closes: bug#1145429, thanks to Simon Quigley

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 25 Aug 2026 19:42:43 +0200

rust-swc-core (76.0.2+ds-3) unstable; urgency=medium

  * build- and autopkgtest-depend on package for crate lazy_static;
    depend (not only build-depend) on packages for crates blake3 phf
  * bump project version in autopkgtests for swc_html_codegen

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 21 Aug 2026 10:06:48 +0200

rust-swc-core (76.0.2+ds-2) unstable; urgency=medium

  * fix patch 2005_avoid_crate_testing;
    closes: bug#1144912, thanks to Juan Manuel Méndez Rey
  * add patch 1002_*
    to accept newer major versions of crate relative-path;
    bump build-dependency for crate relative-path
  * relax an autopkgtest-dependency

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 20 Aug 2026 16:58:44 +0200

rust-swc-core (76.0.2+ds-1) experimental; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * update and unfuzz patches
  * fix build-depend (not only depend) on package for crate lru
  * update watch file:
    + stop set auto-mangling of upstream version (now done by default)
  * stop provide obsolete rkyv-related features;
    stop (build-)depend on packages for crates
    bytecheck rancor rkyv vergen;
    stop build-depend on package for crate smartstring
  * stop embed crate swc_trace_macro, now gone
  * bump project versions in virtual packages and autopkgtests
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 12 Aug 2026 20:58:34 +0200

rust-swc-core (65.0.4+ds-4) unstable; urgency=medium

  * fix dependency for crate base64-simd
  * mention all embedded crates in long description
  * autopkgtest-check all embedded crates
  * update and unfuzz patches
  * provide and autopkgtest swc_common features prallel_chili sourcemap
  * provide and autopkgtest crates
    preset_env_base swc_css_modules swc_css_parser
    swc_ecma_loader swc_ecma_visit
  * (build-)depend on packages for crates
    browserslist-rs chili indexmap lexical path-clean pathdiff
    semver st-map thiserror
  * depend on packages for crates dashmap lru par-iter semver st-map
  * stop build-depend on packages for crates ahash petgraph
  * fix autopkgtest-dependencies for crates smol-str anyhow

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 12 Aug 2026 18:41:54 +0200

rust-swc-core (65.0.4+ds-3) unstable; urgency=medium

  * update source helper tool copyright-check
  * update copyright info:
    + avoid non-DFSG-free licensed test-only code
      when repackaging upstream source
    + update coverage
  * reorganize patch naming and numbering
  * add patches to accept newer crates
    foldhash jsonc-parser normpath path-clean reqwest scroll
  * drop patch 2002_newer_vergen, obsoleted by Debian package changes
  * tighten (build-, autopkgtest-)dependencies
  * drop needless dependencies for crates
    notify swc_html_utils swc_malloc

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 10 Aug 2026 15:26:34 +0200

rust-swc-core (65.0.4+ds-2) unstable; urgency=medium

  * depend on librust-notify-dev (not bogus librust-rust-notify-dev)
  * update watch file: use Custom-Version

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 24 May 2026 16:04:31 +0200

rust-swc-core (65.0.4+ds-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * drop patch 2002_rustc-hash, obsoleted by Debian package changes
  * relax (build-)dependencies for crate rustc-hash
  * update and unfuzz patches
  * bump project versions in virtual packages and autopkgtests
  * update copyright info:
    + drop fewer files when repackaging upstream source
  * bump project versions in virtual packages and autopkgtests
  * have librust-swc-core-dev embed crates
    ast_nodes from_variant string_enum swc_allocator swc_atoms
    swc_common swc_config swc_config_macro swc_css_ast swc_css_codegen
    swc_css_codegen_macros swc_css_compat swc_css_minifier
    swc_css_utils swc_css_visit swc_ecma_ast swc_plugin
    swc_plugin_macro swc_plugin_proxy swc_plugin_runner swc_trace_macro
    swc_eq_ignore_macros swc_html-ast swc_html-codegen
    swc_html_codegen_macros swc_html-parser swc_html-utils
    swc_html_visit swc_macros_common swc_malloc swc_sourcemap
    swc_transform_common swc_visit,
    and replace and breake librust-swc-allocator-dev
    librust-swc-atoms-dev librust-swc-common-dev
    librust-swc-html-ast-dev librust-swc-html-codegen-dev
    librust-swc-html-parser-dev librust-swc-html-utils-dev
    librust-swc-macros-common-dev librust-swc-malloc-dev
    librust-swc-visit-dev
  * build-depend on packages for crates
    blake3 dashmap difference globset miette petgraph phf
    pretty_assertions regress relative-path tracing-subscriber
  * stop clean upstream data
  * build-depend on package for crate notify

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 11 May 2026 19:59:05 +0200

rust-swc-core (63.1.1+ds-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * drop patch 2001_no_feature_env-filter,
    obsoleted by Debian package changes
  * tighten crate version resolving during build
  * bump project versions in virtual packages and autopkgtests
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 11 Apr 2026 09:48:47 +0200

rust-swc-core (58.0.4+ds-2) unstable; urgency=medium

  * update patches
  * extend patch 1001_fence_tests
    to skip little-endian test on big-endian arches
  * declare compliance with Debian Policy 4.7.4
  * stop provide virtual minor-version package
  * relax dependencies

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 08 Apr 2026 18:27:52 +0200

rust-swc-core (58.0.4+ds-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * bump project versions in virtual packages and autopkgtests
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 02 Mar 2026 10:31:33 +0100

rust-swc-core (58.0.0+ds-2) unstable; urgency=medium

  * fix crate name in autopkgtests

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 27 Feb 2026 16:03:48 +0100

rust-swc-core (58.0.0+ds-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * bump project versions in virtual packages and autopkgtests
  * provide and autopkgtest crate swc_sourcemap;
    (build-)depend on packages for crates
    base64-simd bitvec data-encoding debugid if-chain scroll
    serde_json unicode-ident
  * update and unfuzz patches
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 25 Feb 2026 23:48:05 +0100

rust-swc-core (57.0.0+ds-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update copyright info:
    + really avoid any .git* files when repackaging upstream source
  * bump project versions in virtual packages and autopkgtests
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 21 Feb 2026 23:00:21 +0100

rust-swc-core (56.0.0+ds-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * bump project versions in virtual packages and autopkgtests
  * update and unfuzz patches
  * add patch 1001_smol_str
    to accept newer minor version of crate smol_str;
    thanks to Alexander Kjäll

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 14 Feb 2026 20:34:37 +0100

rust-swc-core (55.0.1+ds-6) unstable; urgency=medium

  * autopkgtest-depend on librust-swc-html-ast-dev
    (not bogus librust-swc-html-dev)

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 09 Feb 2026 14:42:32 +0100

rust-swc-core (55.0.1+ds-5) unstable; urgency=medium

  * (build-)depend on librust-rustc-hash-2-dev
    (not librust-rustc-hash-dev)

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 08 Feb 2026 20:52:15 +0100

rust-swc-core (55.0.1+ds-4) unstable; urgency=medium

  * update copyright info: license patches same as general upstream license
  * relax (build-)dependencies
  * have librust-swc-html-utils-dev depend on librust-once-cell-dev (not bogus librust-once-dev)
  * update git-buildpackage config: stop superfluously filter out .git* files

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 07 Feb 2026 23:26:30 +0100

rust-swc-core (55.0.1+ds-3) unstable; urgency=medium

  * update copyright info:
    license patches same as main upstream license
  * relax (build-)dependencies
  * have librust-swc-html-utils-dev depend on librust-once-cell-dev
    (not bogus librust-once-dev)
  * update git-buildpackage config:
    + stop superfluously filter out .git* files

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 07 Feb 2026 23:24:32 +0100

rust-swc-core (55.0.1+ds-2) unstable; urgency=medium

  * stop set Multi-Arch: foreign,
    incompatible with arch-any packaged crates
  * update copyright info:
    + correctly list general upstream license as Apache-2.0
      (not alternatively Expat)
    + update coverage
  * relax (build-, autopkgtest-)dependencies for all crates,
    except autopkgtest-dependencies for own feature-providing provisions
  * drop patches 2001_bytes-str 2001_par-iter 2001_shrink-to-fit,
    obsoleted by Debian package changes;
    provide and autopkgtest swc-atoms feature 2001_shrink-to-fit;
    provide and autopkgtest swc-common feature 2001_shrink-to-fit;
    (build-)depend on packages for crates bytes-str shrink-to-fit;
    build- and autopkgtest-depend on package for crate par-iter

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 06 Feb 2026 10:36:42 +0100

rust-swc-core (55.0.1+ds-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * update copyright info:
    + avoid any .git* files when repackaging source
    + update coverage
  * update watch file:
    + use file format version 5
    + use template
    + use Uversion-Mangle: auto (not custom regex)
    + use repack suffix +ds (not ~ds)
    + relax to match any swc_core release
  * bump project versions in virtual packages and autopkgtests
  * unfuzz patches
  * stop build-depend on package for crate new_debug_unreachable
    for binary package librust-swc-common-dev

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 20 Jan 2026 12:29:15 +0100

rust-swc-core (48.0.4~ds-5) unstable; urgency=medium

  * really fix patch 2001_bytes-str

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 20 Jan 2026 11:07:34 +0100

rust-swc-core (48.0.4~ds-4) unstable; urgency=medium

  * extend patch 1002 to cover crate hstr
  * fix patch 2001_bytes-str

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 01 Jan 2026 12:30:25 +0100

rust-swc-core (48.0.4~ds-3) unstable; urgency=medium

  * fix bump autopkgtest-dependencies for crate ast_node
  * fix patch 2001_bytes-str
  * stop set superfluous fields Rules-Requires-Root Priority
  * declare compliance with Debian Policy 4.7.3
  * drop superfluous patch 1001_cargo_metadata
  * update DEP-3 patch headers

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 01 Jan 2026 01:43:52 +0100

rust-swc-core (48.0.4~ds-2) unstable; urgency=medium

  * no-changes source-only upload to enable testing migration

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 11 Dec 2025 16:24:14 +0100

rust-swc-core (48.0.4~ds-1) experimental; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * update watch file: limit to match v48
  * bump project versions in virtual packages and autopkgtests
  * provide and autopkgtest-check
    swc-atoms feature encoding-impl
    and swc-commons feature encoding-impl;
    (build-)depend on packages for crate cbor4ii;
    autopkgtest-depend on package for crate serde_json;
    bump (build-)dependency for crate unicode-width
  * update and unfuzz patches
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 05 Dec 2025 12:17:15 +0100

rust-swc-core (35.0.0~ds-6) unstable; urgency=medium

  * add patch cherry-picked upstream
    to fix compatibility with serde 1.0.220+;
    tighten build- and autopkgtest-dependencies for crate serde;
    closes: bug#1120671, thanks to James McCoy

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 29 Nov 2025 20:30:45 +0100

rust-swc-core (35.0.0~ds-5) unstable; urgency=medium

  * fix bump autopkgtest-dependencies for crate compact-str

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 22 Oct 2025 09:12:48 +0200

rust-swc-core (35.0.0~ds-4) unstable; urgency=medium

  * add patch 1001_hashbrown
    to accept newer minor versions of crate hashbrown;
    bump (build-)dependencies for crate hashbrown

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 19 Oct 2025 22:29:59 +0200

rust-swc-core (35.0.0~ds-3) unstable; urgency=medium

  * update DEP-3 patch headers
  * drop patch 2001_allocator-api2 2001_new_debug_unreachable,
    obsoleted by Debian packaging changes
  * extend patch 1001
    to accept newer minor version of crate compact_str;
    bump build-dependency for crate compact_str;

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 10 Oct 2025 08:19:40 +0200

rust-swc-core (35.0.0~ds-2) unstable; urgency=medium

  * no-changes source-only upload to enable testing migration

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 10 Aug 2025 10:38:31 +0200

rust-swc-core (35.0.0~ds-1) experimental; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * update and unfuzz patches
  * bump project versions in virtual packages and autopkgtests
  * stop (build-)depend on crates cfg-if phf ptr-meta;
    stop build- or autopkgtest-depend on crate rayon;
    have librust-swc-allocator-dev
    stop depend on crates rancor rkyv serde triomphe;
    have librust-swc-transform-common-dev (in librust-swc-allocator-dev)
    stop depend on once_cell serde_json;
    have librust-swc-atoms-dev
    stop depend on crate rustc-hash

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 08 Aug 2025 14:03:36 +0200

rust-swc-core (22.2.1~ds-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * fix Vcs-* fields, thanks to Jérémy Lal
  * install tailored upstream changelog
    with binary package librust-swc-core-dev
  * bump project versions in virtual packages and autopkgtests
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 11 Apr 2025 09:04:35 +0200

rust-swc-core (22.1.0~ds-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * unfuzz patches
  * bump project versions in virtual packages and autopkgtests
  * avoid autopkgtest swc_core:@ swc_malloc:* on riscv64

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 10 Apr 2025 21:32:30 +0200

rust-swc-core (21.0.1~ds-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * bump project versions in virtual packages and autopkgtests
  * update and unfuzz patches
  * stop provide or autopkgtest
    hstr features atom-size-128 atom-size-64 rkyv
  * update detection if source is patched

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 07 Apr 2025 20:51:11 +0200

rust-swc-core (20.0.0~ds-2) unstable; urgency=medium

  * have librust-swc-allocator-dev depend on package
    for crate swc_common;
    have rust-swc-core-dev depend on packages
    for crates swc_common swc_malloc
  * skip autopkgtests for upstream-impossible feature combinations;
    fix autopkgtest-dependencies

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 06 Apr 2025 11:58:20 +0200

rust-swc-core (20.0.0~ds-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * update and unfuzz patches
  * bump project versions in virtual packages
  * provide embedded crate swc_transform_common
  * provide swc_common feature concurrent (not ahash);
    stop provide swc_core features common-ahash common-tty testing
  * add autopkgtests
  * add metadata about upstream project
  * update git-buildpackage config: simplify usage comments
  * update watch file:
    + mangle upstream version
    + improve filename mangling
    + use Github API
  * avoid providing swc_html_visit feature path, currently broken

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 05 Apr 2025 23:44:14 +0200

rust-swc-core (16.10.0~ds-2) experimental; urgency=medium

  * stop depend on spearately packaged crate hstr

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 05 Apr 2025 11:30:34 +0200

rust-swc-core (16.10.0~ds-1) experimental; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * fix use package section rust (not javascript)
  * update and unfuzz patches
  * bump project versions in virtual packages;
    (build-)depend on packages
    for crates allocator-api2 hashbrown;
    relax (build-)dependencies for crate bumpalo
  * declare compliance with Debian Policy 4.7.2

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 25 Mar 2025 22:58:24 +0100

rust-swc-core (13.2.0~ds-1) experimental; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * exclude more convenience code copies
    when repackaging upstream source
  * update and unfuzz patches
  * bump project versions in virtual packages
  * bump (build-)dependency for crate rustc-hash
  * add patch 2001_shrink-to-fit
    to avoid not-in-Debian crate shrink-to-fit
  * update copyright info: drop unused license sections

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 09 Feb 2025 16:48:30 +0100

rust-swc-core (11.0.1~ds-1) experimental; urgency=low

  * initial Release;
    (see bug#991761)

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 09 Feb 2025 14:56:01 +0100
